Perma-orange in Firefox3.5 mochitest-browser-chrome, since 2010/01/22, with timeouts in browser_privatebrowsing_beforeunload.js & others

VERIFIED FIXED

Status

()

Firefox
Private Browsing
--
major
VERIFIED FIXED
8 years ago
8 years ago

People

(Reporter: dholbert, Assigned: Ehsan)

Tracking

({verified1.9.1})

3.5 Branch
x86
All
verified1.9.1
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(status1.9.1 .8-fixed)

Details

Looks like The Firefox 3.5 "mochitest-other" tinderboxen have been essentially perma-orange for the past four days, with this failure:
{
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_certexceptionsui.js | Exception thrown - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_certexceptionsui.js :: test :: line 55"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_crh.js | Exception thrown - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_crh.js :: test :: line 53"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_findbar.js | Exception thrown - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_findbar.js :: test :: line 63"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_forgetthissite.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_geoprompt.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_import.js | Exception thrown - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_import.js :: test :: line 56"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_opendir.js | Exception thrown - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_opendir.js :: test :: line 84"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_openlocation.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_pageinfo.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_pageinfo.js | We should only receive window closed notifications - Got domwindowopened, expected domwindowclosed
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_pageinfo.js | The closed window should be one of the two page info windows
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 3268
}


The first failures are:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264451746.1264453414.929.gz
Linux mozilla-1.9.1 test mochitest-other on 2010/01/25 12:35:46
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264457736.1264459496.5898.gz
OS X 10.5.2 mozilla-1.9.1 test mochitest-other on 2010/01/25 14:15:36
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264451780.1264453582.3173.gz
WINNT 5.2 mozilla-1.9.1 test mochitest-other on 2010/01/25 12:36:20

Most recent failures are:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264790428.1264792185.28335.gz
Linux mozilla-1.9.1 test mochitest-other on 2010/01/29 10:40:28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264791760.1264793455.11896.gz
OS X 10.5.2 mozilla-1.9.1 test mochitest-other on 2010/01/29 11:02:40
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264791257.1264793090.7195.gz
WINNT 5.2 mozilla-1.9.1 test mochitest-other on 2010/01/29 10:54:17
Version: Trunk → 3.5 Branch
Turns out this actually goes back to the 22nd, not the 25th -- I was confused because there were a few all-green 24-hour-periods, which were all-green due to having no mochitest-other cycles at all.

So, updated "first failures" list:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264204359.1264206402.22809.gz
Linux mozilla-1.9.1 test mochitest-other on 2010/01/22 15:52:39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264203312.1264204985.7075.gz
OS X 10.5.2 mozilla-1.9.1 test mochitest-other on 2010/01/22 15:35:12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1264204582.1264206347.22137.gz
WINNT 5.2 mozilla-1.9.1 test mochitest-other on 2010/01/22 15:56:22
Summary: Perma-orange in Firefox3.5 mochitest-browser-chrome, since 2010/01/05, with timeouts in browser_privatebrowsing_beforeunload.js & others → Perma-orange in Firefox3.5 mochitest-browser-chrome, since 2010/01/22, with timeouts in browser_privatebrowsing_beforeunload.js & others
The only changeset in the guilty range is:
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/6e60470b04ab
"Bug 498648 - Start private browsing while editing a message, cancel, doesn't cancel private browsing"

Sounds like a likely candidate for having caused this.
Blocks: 498648
Ehsan, can you push a patch that clears the "keep_current_session" pref before this test starts, that may be causing this. It seems the "common-dialog-loaded" notification never gets sent, I'm not at my workstation now and cannot work on this at the moment.
(Assignee)

Updated

8 years ago
Depends on: 525300
(Assignee)

Comment 4

8 years ago
(In reply to comment #3)
> Ehsan, can you push a patch that clears the "keep_current_session" pref before
> this test starts, that may be causing this. It seems the "common-dialog-loaded"
> notification never gets sent, I'm not at my workstation now and cannot work on
> this at the moment.

The failure happened because observerService was not declared in commonDialog.js on 1.9.1.  I fixed that in http://hg.mozilla.org/releases/mozilla-1.9.1/rev/6f4f1c26308a, which should effectively fix this bug.
Assignee: nobody → ehsan.akhgari
Status: NEW → RESOLVED
Last Resolved: 8 years ago
No longer depends on: 525300
Resolution: --- → FIXED
(Assignee)

Updated

8 years ago
Depends on: 525300
This went in for 1.9.1.8, right? If yes, can you please add the .8fixed flag?
(In reply to comment #5)
> This went in for 1.9.1.8, right? If yes, can you please add the .8fixed flag?

Yes. Thanks Ehsan for fixing this.
status1.9.1: --- → .8-fixed
Looks good. All formerly failed tests pass now. Marking verified1.9.1.
Keywords: verified1.9.1
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.